﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace MvcControlsToolkit
{
    public class AxesOptions: BaseObject
    {
        protected string XAxis
        {
            get
            {
                return Attributes["xaxis"];
            }
            set
            {
                Attributes["xaxis"] = value;
            }
        }
        public AxesOptions SetXAxis(Axis xaxis)
        {
            XAxis = xaxis.ToString();
            return this;
        }

        protected string YAxis
        {
            get
            {
                return Attributes["yaxis"];
            }
            set
            {
                Attributes["yaxis"] = value;
            }
        }
        public AxesOptions SetYAxis(Axis yaxis)
        {
            YAxis = yaxis.ToString();
            return this;
        }

        protected string X2Axis
        {
            get
            {
                return Attributes["x2axis"];
            }
            set
            {
                Attributes["x2axis"] = value;
            }
        }
        public AxesOptions SetX2Axis(Axis x2axis)
        {
            X2Axis = x2axis.ToString();
            return this;
        }
        
        protected string Y2Axis
        {
            get
            {
                return Attributes["y2axis"];
            }
            set
            {
                Attributes["y2axis"] = value;
            }
        }
        public AxesOptions SetY2Axis(Axis y2axis)
        {
            Y2Axis = y2axis.ToString();
            return this;
        }
    }
}
